% Sample code to solve a nonlinear pendulum
% x''=-w0^2 sin(x)

clear;
close all;

% Parameter
w0=1;
l=1;

% Time
tspan = [0 40];

% Initial Conditions:
y0 = [pi/3;0];

% Solve the problem using ode45
options=odeset('RelTol',1e-6);
[tout,yout]=ode45(@(t,y) myf(t,y,w0) , tspan,y0,options);

% Post-process: plot the pendulum

figure(1)
hold on
axis([-1 1 -1 0])
set(gca,'DataAspectRatio',[1 1 1])
px(1)=0;
py(1)=0;
px(2)=l*sin(yout(1,1));
py(2)=0-l*cos(yout(1,1));
px2=px(2);
py2=py(2);
sol=plot(px,py,'XDataSource','px','YDataSource','py');
marker=plot(px2,py2,'o','XDataSource','px2','YDataSource','py2');

for i=1:length(tout)
px(2)=l*sin(yout(i,1));
py(2)=0-l*cos(yout(i,1));
px2=px(2);
py2=py(2);

refreshdata(sol,'caller')
refreshdata(marker,'caller')

drawnow;
end

